summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/csit-perf.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-01-07 18:01:18 +0100
committerVratko Polak <vrpolak@cisco.com>2020-01-09 10:35:07 +0100
commitc16cf4ec132c21090342324878ca22ad1fc0476e (patch)
tree3a9383c592bd4b151740a0f6261ac34291a21516 /jjb/scripts/vpp/csit-perf.sh
parent6e1c00a92c2f447c77a77a1ed16aee74add7d3d4 (diff)
VPP: Make script inclusion more readable
Historically, scripts names started with include-raw-vpp- prefix. That was not only long and superfluous, but also confusing, as the actual way of including uses "include-raw-escape", which is a command behaving differently than "include-raw", suggested by the previous name. This Change shortens script names to the part that actually says something about the script. + Delete include-gcc8-prefer.sh as it is orphaned since https://gerrit.fd.io/r/c/ci-management/+/20443 + Move the scripts to jjb/scripts/vpp/. - "absolute" paths are not used, as ci-man root is not in search path. + Put each path on a separate line to avoid long lines. + Put each include in a separate shell to make sure return code of each script is checked. + Update copyright year where present. - Copyright notices are not added when not present. Change-Id: I48920542ff20810cc87fb01844236350348bae59 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'jjb/scripts/vpp/csit-perf.sh')
-rw-r--r--jjb/scripts/vpp/csit-perf.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/csit-perf.sh b/jjb/scripts/vpp/csit-perf.sh
new file mode 100644
index 000000000..17a9d39bc
--- /dev/null
+++ b/jjb/scripts/vpp/csit-perf.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+# Clone CSIT git repository and proceed with entry script located there.
+#
+# Variables read:
+# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - CSIT_REF - Override ref of CSIT git repository to checkout.
+# Directories updated:
+# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
+# - Multiple other side effects by entry script(s), see CSIT repository.
+
+cd "${WORKSPACE}"
+git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+pushd "${WORKSPACE}/csit"
+if [[ -n "${CSIT_REF-}" ]]; then
+ git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
+ git checkout FETCH_HEAD
+else
+ git checkout HEAD
+fi
+popd
+csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
+source "${csit_entry_dir}/with_oper_for_vpp.sh" "per_patch_perf.sh"